using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
    public interface ISysOauth2Repository : IRepository<SysOauth2>
    {
        IQueryable<SysOauth2> LoadAllByPage(out long total, int page, int rows, string order, string sort);

        SysOauth2 Get(string code);

        SysOauth2 GetByRefreshToken(string refreshToken);

        string GetXiaoDuToken();
    }
}
